Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Template:Fraction/styles.css: Difference between revisions

Template page
Created page with "{{pp|small=y}}: .frac { white-space: nowrap; } .frac .num, .frac .den { font-size: 80%; line-height: 0; we want this inline: vertical-align: super; } .frac .den { vertical-align: sub; } [[Template:Screen reader-only]] is canonical implementation onwiki: .sr-only { border: 0; clip: rect(0, 0, 0, 0); clip-path: polygon(0px 0px, 0px 0px, 0px 0px); height: 1px; margin: -1px; overflow: hidden; padding: 0; position: absolute; width: 1px; /* whi..."
 
No edit summary
 
Line 1: Line 1:
/* {{pp|small=y}} */
.frac {
.frac {
white-space: nowrap;
white-space: nowrap;

Latest revision as of 10:50, 8 April 2025

.frac {
	white-space: nowrap;
}

.frac .num,
.frac .den {
	font-size: 80%;
	line-height: 0; /* we want this inline */
	vertical-align: super;
}

.frac .den {
	vertical-align: sub;
}

/* [[Template:Screen reader-only]] is canonical implementation onwiki */
.sr-only {
	border: 0;
	clip: rect(0, 0, 0, 0);
	clip-path: polygon(0px 0px, 0px 0px, 0px 0px);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute;
	width: 1px;
	/* white-space: nowrap; /* already have nowrap above */
}